Bug 1329617 - Downgrade fails with broken dep with --setopt=strict=False
Summary: Downgrade fails with broken dep with --setopt=strict=False
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-22 11:44 UTC by Jaroslav Mracek
Modified: 2017-02-10 15:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-10 15:56:16 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1329614 None None None Never

Description Jaroslav Mracek 2016-04-22 11:44:11 UTC
Description of problem:
Downgrade command behave differently that upgrade. When any of argument has broken dep it always fails with --strict=False where upgrade command succeed (DNF added skip-broken option behavior as a default) 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Downgrade of package A requires downgrade package B
2. dnf --setopt=strict=False --alloweraning --exclude=B A C (Fail - no package downgraded)
3.

Actual results:
Fail - no package downgraded

Expected results:
Succeed - Downgraded package C

Additional info:
This case shows different behavior as upgrade shows.

Comment 1 Fedora Admin XMLRPC Client 2016-07-08 09:39:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2016-11-25 07:26:37 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jaroslav Mracek 2016-11-29 20:31:03 UTC
It should be fixed by Pull-request: https://github.com/rpm-software-management/dnf/pull/666

Comment 4 Jaroslav Mracek 2017-02-10 15:56:16 UTC
Bugs fixed in version of dnf-2.0.1-1.


Note You need to log in before you can comment on or make changes to this bug.